| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index
Graphics.Rendering.OpenGL.GL.PixelRectangles.Convolution |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.
Documentation
data ConvolutionTarget | Source
Constructors
Convolution1D |
Convolution2D |
Separable2D |
Instances
Eq ConvolutionTarget
Ord ConvolutionTarget
Show ConvolutionTarget
convolution :: ConvolutionTarget -> StateVar Capability | Source
convolutionFilter1D :: PixelInternalFormat -> GLsizei -> PixelData a -> IO () | Source
getConvolutionFilter1D :: PixelData a -> IO () | Source
convolutionFilter2D :: PixelInternalFormat -> Size -> PixelData a -> IO () | Source
getConvolutionFilter2D :: PixelData a -> IO () | Source
separableFilter2D :: PixelInternalFormat -> Size -> PixelData a -> PixelData a -> IO () | Source
getSeparableFilter2D :: PixelData a -> PixelData a -> IO () | Source
copyConvolutionFilter1D :: PixelInternalFormat -> Position -> GLsizei -> IO () | Source
copyConvolutionFilter2D :: PixelInternalFormat -> Position -> Size -> IO () | Source
convolutionWidth :: ConvolutionTarget -> GettableStateVar GLsizei | Source
convolutionHeight :: ConvolutionTarget -> GettableStateVar GLsizei | Source
maxConvolutionWidth :: ConvolutionTarget -> GettableStateVar GLsizei | Source
maxConvolutionHeight :: ConvolutionTarget -> GettableStateVar GLsizei | Source
data ConvolutionBorderMode | Source
Constructors
Reduce |
ConstantBorder (Color4 GLfloat) |
ReplicateBorder |
Instances
Eq ConvolutionBorderMode
Ord ConvolutionBorderMode
Show ConvolutionBorderMode
convolutionBorderMode :: ConvolutionTarget -> StateVar ConvolutionBorderMode | Source
convolutionFilterScale :: ConvolutionTarget -> StateVar (Color4 GLfloat) | Source
convolutionFilterBias :: ConvolutionTarget -> StateVar (Color4 GLfloat) | Source
Produced by Haddock version 0.9